"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const themeUtilsConfigTemplate_1 = require("../utils/themeUtilsConfigTemplate");
const createTemplate_1 = require("../scripts/createTemplate/createTemplate");
const log_1 = tslib_1.__importDefault(require("../utils/log"));
const process = require('process');
const path = require('path');
const fs = require('fs');
exports.default = async (args) => {
    if (!args[0]) {
        log_1.default.error('Error: No output folder provided');
        process.exitCode = 1;
        return;
    }
    const outputPathName = args[0].toLowerCase();
    const integrationThemePath = args[1]
        ? path.resolve(args[1])
        : process.cwd();
    const vsfTuConfigFileName = 'theme-utils.config.js';
    const vsfTuConfigFilePath = path.join(process.cwd(), vsfTuConfigFileName);
    const generatedTemplatePath = path.join(process.cwd(), outputPathName);
    const crateTemplateCallback = async (err) => {
        try {
            if (err)
                throw err;
            await createTemplate_1.createTemplate({ vsfTuConfigFilePath, generatedTemplatePath });
        }
        catch (error) {
            log_1.default.error('Error during VSF theme utils config file creation');
        }
    };
    const createVsfTuConfigFile = () => {
        if (fs.existsSync(vsfTuConfigFilePath)) {
            fs.unlinkSync(vsfTuConfigFilePath);
        }
        fs.appendFile(vsfTuConfigFilePath, themeUtilsConfigTemplate_1.vsfTuConfig({
            outputPathName,
            themePath: integrationThemePath,
            _themePath: path.join(integrationThemePath, '_theme')
        }), async (err) => await crateTemplateCallback(err));
    };
    createVsfTuConfigFile();
};
//# sourceMappingURL=generate-template.js.map